View Creative

View Creative

GET https://api.ocamba.com/api/v1/adex/creatives/{id}
Retrieves the details of a Creative that has previously been created if a valid identifier was provided

Tip
If you don’t know the creative id, list the creatives to find it.

Rate limits:

  • Burst: 10/s
  • Steady: 150/m

Path parameters

parameters

Query parameters

parameters

Response schemas

curl -X GET \
 "https://api.ocamba.com/api/v1/adex/creatives/{id}" \
  -H "Authorization: Bearer {TOKEN}"
const url = 'https://api.ocamba.com/api/v1/adex/creatives/{id}';
const options = {
  method: 'GET',
  headers: {
    Authorization: `Bearer {TOKEN}`
  }
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
$ch = curl_init("https://api.ocamba.com/api/v1/adex/creatives/{id}");
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "GET");
curl_setopt($ch, CURLOPT_HTTPHEADER, [
  "Authorization: Bearer {TOKEN}"
]);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);

Responses

200 OK

{
  "total": 1,
  "items": [
    {
      "id": "1319617",
      "name": "Demo_dynamic_native",
      "status": "active",
      "title": {
        "key": "en",
        "value": "en_demo_title"
      },
      "image": {
        "key": "en",
        "value": "http://example.domen/image/en.jpg"
      },
      "image_size": {
        "key": "en",
        "value": "600x400"
      },
      "sponsored": {
        "key": "en",
        "value": "en sponsor"
      },
      "description": {
        "key": "en",
        "value": "en description"
      },
      "description_2": {
        "key": "en",
        "value": "en description2"
      },
      "type": "dynamic-native",
      "campaign_id": 1111456,
      "landing_url": "https://example.com",
      "target": "_top",
      "tracking_pixels": [
        "https://example.com?${SESSION_ID}${DEVICE_ID}"
      ],
      "advertiser_domain": "https://example.com",
      "likes": 10,
      "downloads": 5,
      "price": 12.99,
      "sale_price": 9.99,
      "phone": "032456312",
      "address": "Dragise Misovica 163B",
      "banner": {
        "key": "en",
        "value": "http://example.domen/image/en.jpg"
      },
      "html5": "<div>Test</div>",
      "third_party_code": "<html><body>Test</body></html>",
      "ctatext": "1",
      "display_url": "https://example.com",
      "postback": 1,
      "bundle_id": "1017",
      "create_time": "2021-09-29 15:40:10"
    }
  ]
}

400 Bad Request

500 Internal Server Error

Responses